import request from '@/utils/request'

//获取文件上传token
export function getFileToken (parameter) {
  return request({
    url: '/ProductOTA/FileToken',
    method: 'post',
    data: parameter
  })
}
// 获取固件管理列表
export function getProductOTA (parameter) {
  return request({
    url: '/ProductOTA/List',
    method: 'post',
    data: parameter
  })
}

// 添加固件管理
export function addProductOTA (parameter) {
  return request({
    url: '/ProductOTA/Add',
    method: 'post',
    data: parameter
  })
}

// 删除固件管理
export function delProductOTA (parameter) {
  return request({
    url: '/ProductOTA/Delete',
    method: 'post',
    data: parameter
  })
}
