import request from '@/utils/request'
const Url = "https://yunlot.baozhida.cn/API"
// 获取模型市场
export function getProductTypeList(parameter) {
	return request({
		url: '/ProductType/List',
		method: 'post',
		data: parameter
	})
}
// 获取模型市场
export function getModelMarket(parameter) {
	return request({
		url: '/Product/ProductType/List',
		method: 'post',
		baseURL: process.env.NODE_ENV === 'production' ? Url : '/APP',
		data: parameter
	})
}
// 公开模型
export function getModelMarketUpdate(parameter) {
	return request({
		url: '/ProductType/Update',
		method: 'post',
		data: parameter
	})
}