import {
	onlineOffline
} from '@/assets/js/blockSort'
export const formRules = () => {
	return [{
		field: 'T_sn',
		label: '设备编号',
		placeholder: '设备编号',
		type: 'input',
		disabled: true,
	}, {
		field: 'T_name',
		label: '产品类型',
		placeholder: '产品类型',
		type: 'input',
		disabled: true,
	}, {
		field: 'T_password',
		label: '设备秘钥',
		placeholder: '设备秘钥',
		type: 'password',
	}, {
		field: 'CreateTime',
		label: '授权时间',
		placeholder: '授权时间',
		type: 'input',
		disabled: true,
	}, {
		field: 'UpdateTime',
		label: '更新时间',
		placeholder: '更新时间',
		type: 'input',
		disabled: true,
	}, {
		field: 'T_online',
		label: '在线状态',
		placeholder: '在线状态',
		type: 'select',
		disabled: true,
		options: onlineOffline(),
	}]
}
export const treeFormRules = () => {
	return [{
		field: 'T_name',
		label: '属性名称',
		colWidth: '200',
	}, {
		field: 'T_tab',
		label: '属性标识符',
		colWidth: '100',
		align: 'center',
	}, {
		field: 'T_type',
		label: '属性类型',
		colWidth: '180',
		align: 'center',
	}, {
		field: 'T_read',
		label: '只读状态',
		colWidth: '100',
		align: 'center',
	}, {
		field: 'extend',
		label: '扩展选项',
		align: 'center',
	}, {
		field: 'present',
		label: '当前值',
		colWidth: '180',
		align: 'center',
	}]
}