export const employee = () => {
	return [{
		field: 'T_ProductID',
		label: '面板ID（8位）',
		align: 'center',
	}, {
		field: 'T_name',
		label: '面板名称',
		align: 'center',
		bgColor: '#59fe6d',
		URL: '/information',
	}, {
		field: 'T_mode',
		label: 'PC端',
		align: 'center',
		bgColor: '#59fe6d',
		URL: '/productPanel',
	}, {
		field: 'T_mode',
		label: '移动端',
		align: 'center',
		bgColor: '#59fe6d',
		URL: '/productPanel',
	}, {
		field: 'T_mode',
		label: '3D端',
		align: 'center',
		bgColor: '#59fe6d',
		URL: '/productPanel',
	}, {
		field: 'CreateTime',
		label: '创建时间',
		align: 'center',
	}]
}

export const formRules = () => {
	return [{
		field: 'T_name',
		label: '产品名称',
		placeholder: '产品名称',
		type: 'input',
		colWidth: 24,
		rules: [{
			required: true,
			message: '请输入产品名称',
			trigger: 'blur'
		}]
	}, {
		field: 'T_panel',
		label: '产品面板',
		placeholder: '请填写产品面板ID(8位)',
		type: 'input',
		colWidth: 24,
	}]
}