import request from '@/utils/request'

// 生产设备
export function getCreate(parameter) {
	return request({
		url: '/Device/Create',
		method: 'get',
		params: parameter
	})
}
// 获取设备列表
export function getDevice(parameter) {
	return request({
		url: '/Device/List',
		method: 'post',
		data: parameter
	})
}
// 获取设备详情
export function getDeviceDetails(parameter) {
	return request({
		url: '/Device/Get',
		method: 'post',
		data: parameter
	})
}
// 添加、修改设备
export function getDeviceUpdate(parameter) {
	return request({
		url: '/Device/Update',
		method: 'post',
		data: parameter
	})
}

// 设备数据推送
export function getDevicePush(parameter) {
  return request({
    url: '/Device/Push',
    method: 'post',
    data: parameter
  })
}
// 获取详情列表数据、设备历史记录
export function getDeviceData(parameter) {
  return request({
    url: '/Device/Data',
    method: 'post',
    data: parameter
  })
}