import request from '@/utils/request'

// 获取产品列表
export function getProductType(parameter) {
	return request({
		url: '/ProductType/List',
		method: 'post',
		data: parameter
	})
}
// 获取产品详情
export function getProductTypeDetails(parameter) {
	return request({
		url: '/ProductType/Get',
		method: 'post',
		data: parameter
	})
}
// 添加、修改产品
export function addProductType(parameter) {
	return request({
		url: '/ProductType/Update',
		method: 'post',
		data: parameter
	})
}
// 删除产品
export function delProductType(parameter) {
	return request({
		url: '/ProductType/Delete',
		method: 'post',
		data: parameter
	})
}

// 流量统计
export function getFlowCountList(parameter) {
	return request({
		url: '/ProductType/FlowCount',
		method: 'post',
		data: parameter
	})
}
