import {
	onlineOffline
} from '@/assets/js/blockSort'
export const employee = () => {
	return [{
		field: 'T_sn',
		label: '设备编号',
		align: 'center',
	}, {
		field: 'T_online',
		label: '设备状态',
		align: 'center',
		options: onlineOffline(),
	}, {
		field: 'CreateTime',
		label: '授权时间',
		align: 'center',
	}, {
		field: 'UpdateTime',
		label: '更新时间',
		align: 'center',
	}, {
		field: 'action',
		label: '操作',
		align: 'center',
		labelButton: [{
			type: 'enter',
			label: '进入管理',
			style: 'success',
		}]
	}]
}

export const formRules = () => {
	return [{
		field: 'T_name',
		label: 'CKEY',
		placeholder: '请输入设备控制秘钥',
		type: 'input',
		colWidth: 24,
		rules: [{
			required: true,
			message: '请输入设备控制秘钥',
			trigger: 'blur'
		}]
	}]
}