export const employee = () => {
	return [{
		field: 'T_ProductID',
		label: '产品ID',
		align: 'center',
	}, {
		field: 'T_name',
		label: '产品名称',
		align: 'center',
		bgColor: '#59fe6d',
		URL: '/information',
	}, {
		field: 'T_mode',
		label: '产品网关',
		align: 'center',
		bgColor: '#59fe6d',
		URL: '/information',
	}, {
		field: 'CreateTime',
		label: '创建时间',
		align: 'center',
	}, {
		field: 'UpdateTime',
		label: '更新时间',
		align: 'center',
	}]
}

export const formRules = () => {
	return [{
			field: 'T_name',
			label: '产品名称',
			placeholder: '产品名称',
			type: 'input',
			colWidth: 24,
			rules: [{
				required: true,
				message: '请输入产品名称',
				trigger: 'blur'
			}]
		},
		// {
		// 	field: 'T_panel',
		// 	label: '产品面板',
		// 	placeholder: '请填写产品面板ID(8位)',
		// 	type: 'input',
		// 	colWidth: 24,
		// },
	]
}